Debian Bug report logs - #601340
default n-m config prevents evolution from working

version graph

Package: evolution; Maintainer for evolution is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution is src:evolution.

Reported by: Felipe FV <killerma@terra.com.br>

Date: Mon, 25 Oct 2010 10:48:01 UTC

Severity: important

Tags: jessie, sid, squeeze, upstream, wheezy

Merged with 549451, 582358, 584200, 587302, 587325, 590547, 594072, 597147, 599722

Found in versions evolution/2.30.2-1, evolution/2.30.3-1, evolution/2.30.1.2-2, evolution/2.30.3-5, evolution/2.28.0-2, evolution/2.30.1.2-3, evolution/3.2.2-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#601340; Package rtl8168d-2.fw. (Mon, 25 Oct 2010 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felipe FV <killerma@terra.com.br>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Mon, 25 Oct 2010 10:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Felipe FV <killerma@terra.com.br>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Debian Installation asks for rtl8168d-2.fw (but I can't find it and some apps need it to run).
Date: Mon, 25 Oct 2010 08:44:18 -0200
Package: rtl8168d-2.fw
Severity: important

When I was installing Debian Squeeze on this PC, I was asked about some non-
free firmware for my NIC (rtl8168d-2.fw). I didn't have it. But anyway, I was
able to install the system (downloading files from the mirror), surf the
internet after the installation (Iceweasel, Epiphany) and even download
updates. The problem is that the network icon always showed the information
"connection not present" (something like that). The "real" problems started
when I was trying to use Evolution and configure my e-mail. I realized that it
could not connect because it said "no connection". I think it's the lack of
firmware that is affecting these other programs.



-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=pt_BR.utf8, LC_CTYPE=pt_BR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'rtl8168d-2.fw' to 'installation-reports'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 13:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#601340; Package installation-reports. (Mon, 25 Oct 2010 21:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <simon.paillard@resel.enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 25 Oct 2010 21:18:06 GMT) Full text and rfc822 format available.

Message #12 received at 601340@bugs.debian.org (full text, mbox):

From: Simon Paillard <simon.paillard@resel.enst-bretagne.fr>
To: Felipe FV <killerma@terra.com.br>, 601340@bugs.debian.org
Subject: Re: Bug#601340: Debian Installation asks for rtl8168d-2.fw (but I can't find it and some apps need it to run).
Date: Mon, 25 Oct 2010 23:14:36 +0200
retitle 601340 default n-m config prevents evolution from working
thanks

Hi,

On Mon, Oct 25, 2010 at 08:44:18AM -0200, Felipe FV wrote:
> Package: rtl8168d-2.fw
> Severity: important

Thanks for your report.

> When I was installing Debian Squeeze on this PC, I was asked about some non-
> free firmware for my NIC (rtl8168d-2.fw). I didn't have it. But anyway, I was
> able to install the system (downloading files from the mirror), surf the
> internet after the installation (Iceweasel, Epiphany) and even download
> updates.

Then this has nothing to do with the NIC firmware. Indeed, as you said and as
mentionned in #601340, the firmware is actually not needed.

Not sure how/if d-i can stop asking for the firmware.

> The problem is that the network icon always showed the information
> "connection not present" (something like that). The "real" problems started
> when I was trying to use Evolution and configure my e-mail. I realized that
> it could not connect because it said "no connection". I think it's the lack
> of firmware that is affecting these other programs.

This is #549451 (evolution cannot work when network-manager is in offline mode) combined
with default network-manager as of today #530024.

As a workaround, edit /etc/network/interfaces and comment references to eth0.

-- 
Simon Paillard




Changed Bug title to 'default n-m config prevents evolution from working' from 'Debian Installation asks for rtl8168d-2.fw (but I can't find it and some apps need it to run).' Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:18:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'installation-reports' to 'evolution'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 15:54:05 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147 601340. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 15:54:10 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:35 GMT) Full text and rfc822 format available.

Marked as found in versions evolution/2.30.3-5 and evolution/3.2.2-1. Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:52 GMT) Full text and rfc822 format available.

Merged 549451 582358 584200 587302 587325 590547 594072 597147 599722 601340 Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:58 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:28:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.